package com.ruoyi.predict.service.impl;

import com.ruoyi.common.core.text.Convert;
import com.ruoyi.predict.domain.WfTheoryenergyData;
import com.ruoyi.predict.mapper.WfTheoryenergyDataMapper;
import com.ruoyi.predict.service.IWfTheoryenergyDataService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Date;
import java.util.List;

/**
 * WfTheoryenergyDataService业务层处理
 * 
 * @author hlf
 * @date 2022-09-20
 */
@Service
public class WfTheoryenergyDataServiceImpl implements IWfTheoryenergyDataService 
{
    @Autowired(required = false)
    private WfTheoryenergyDataMapper wfTheoryenergyDataMapper;

    /**
     * 查询WfTheoryenergyData
     * 
     * @param windplantNo WfTheoryenergyDataID
     * @return WfTheoryenergyData
     */
    @Override
    public WfTheoryenergyData selectWfTheoryenergyDataById(Long windplantNo)
    {
        return wfTheoryenergyDataMapper.selectWfTheoryenergyDataById(windplantNo);
    }

    /**
     * 查询WfTheoryenergyData列表
     * 
     * @param wfTheoryenergyData WfTheoryenergyData
     * @return WfTheoryenergyData
     */
    @Override
    public List<WfTheoryenergyData> selectWfTheoryenergyDataList(WfTheoryenergyData wfTheoryenergyData)
    {
        return wfTheoryenergyDataMapper.selectWfTheoryenergyDataList(wfTheoryenergyData);
    }

    /**
     * 新增WfTheoryenergyData
     * 
     * @param wfTheoryenergyData WfTheoryenergyData
     * @return 结果
     */
    @Override
    public int insertWfTheoryenergyData(WfTheoryenergyData wfTheoryenergyData)
    {
        return wfTheoryenergyDataMapper.insertWfTheoryenergyData(wfTheoryenergyData);
    }

    /**
     * 修改WfTheoryenergyData
     * 
     * @param wfTheoryenergyData WfTheoryenergyData
     * @return 结果
     */
    @Override
    public int updateWfTheoryenergyData(WfTheoryenergyData wfTheoryenergyData)
    {
        return wfTheoryenergyDataMapper.updateWfTheoryenergyData(wfTheoryenergyData);
    }

    /**
     * 删除WfTheoryenergyData对象
     * 
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    @Override
    public int deleteWfTheoryenergyDataByIds(String ids)
    {
        return wfTheoryenergyDataMapper.deleteWfTheoryenergyDataByIds(Convert.toStrArray(ids));
    }

    /**
     * 删除WfTheoryenergyData信息
     * 
     * @param windplantNo WfTheoryenergyDataID
     * @return 结果
     */
    @Override
    public int deleteWfTheoryenergyDataById(Long windplantNo)
    {
        return wfTheoryenergyDataMapper.deleteWfTheoryenergyDataById(windplantNo);
    }

    @Override
    public List<WfTheoryenergyData> selectWfTheoryenergyData(Long windplantNo, Date dataTime) {
        return wfTheoryenergyDataMapper.selectWfTheoryenergyData(windplantNo, dataTime);
    }
}
